Function match-onelineindex
{param([Parameter(Mandatory=$true)][array]$textarray,[Parameter(Mandatory=$true)][string]$linematch)
	[array]$results = $null
	$i=0
	$arraycount = $textarray.count
	do
	{
		if ($textarray[$i] -match $linematch)
		{
			$results += $i
		}
		$i++
	}
	while ($i -le $arraycount)
	
	if ($results.count -gt 1)
	{
		write-error "More than one line matched for an ambiguous result."
		break
	}
	else
	{
		$results
	}
}